Subject: Offline Message from David Whitener: MY Swagger 5 is a big piece of crap. Whe
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 19 Nov 2019 00:42:21 -0000

From: David Whitener <[email-masked]>
Phone: 415-879-5254
Location: Vallejo, United States
URL: https://swagtron.com/?gclid=EAIaIQobChMIjJv30_705QIVax-tBh3FQAU2EAAYASAAEgLeJfD_BwE
Department: SwagTron

MY Swagger 5 is a big piece of crap. When I got it the front tire never held air from the very first time I inflated it. I had to inflate it every day until I replaced it with a solid tire. Shortly there after the solid rear tire that came with the unit shredded because it was made of the cheapest rubber available and only lasted about 2 months of regular usage. I replaced it with the same solid unit as the one that I put on the front. So finally after having back on the road for less than a month, the handlebar is so loose that it slides left to right and won't remain stationary. I tried to open the headset to tighten it up but found it to be a sealed unit. I am very disappointed with this unit in general. Please contact me so we can come an agreeable resolution. Thank-you.

----
Zopim
https://www.zopim.com